<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Origin extends Model
{
	//use HasFactory;

	public const UPDATED_AT = NULL;

	protected $fillable = ['value'];

	public function complete(Address $o): string
	{
		return sprintf(' * Origin: %s (%s)',$this->value,$o->point_id ? $o->ftn4d : $o->ftn3d);
	}
}